Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security
Class SecurityInitializationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  weblogic.utils.NestedRuntimeException
                      weblogic.security.SecurityInitializationException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

public class SecurityInitializationException
extends weblogic.utils.NestedRuntimeException

The `SecurityInitializationException` is thrown when a problem has been encountered during the initialization of the security subsystem.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Constructor Summary
`SecurityInitializationException()` Constructs a `SecurityInitializationException` with no arguments.
`SecurityInitializationException(String msg)` Constructs a `SecurityInitializationException` with the specified detail message.
`SecurityInitializationException(String msg, Throwable nested)` Constructs a `SecurityInitializationException` with a detail message and a nested exception.
`SecurityInitializationException(Throwable nested)` Constructs a `SecurityInitializationException` with a nested exception.

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecurityInitializationException

    public SecurityInitializationException()

  Constructs a `SecurityInitializationException` with no arguments.

### SecurityInitializationException

    public SecurityInitializationException(String msg)

  Constructs a `SecurityInitializationException` with the specified detail message. A detail message is a String that describes this particular exception.

### SecurityInitializationException

    public SecurityInitializationException(String msg,
                                           Throwable nested)

  Constructs a `SecurityInitializationException` with a detail message and a nested exception.

### SecurityInitializationException

    public SecurityInitializationException(Throwable nested)

  Constructs a `SecurityInitializationException` with a nested exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD